'                                                                  
' Copyright  2013 Lidor Systems.
' All Rights Reserved.
'
' This SOFTWARE is provided "AS IS", WITHOUT WARRANTY OF ANY KIND.
' either express or implied.                        
'

Public Class Form1

#Region "Initialization"
    Public Sub New()
        InitializeComponent()

        CreateLabelContent()

        InitList()
    End Sub

    Private Sub CreateLabelContent()
        Dim content As [String] = "<div style=""font:Verdana,9,r""><p>By default only text is shown in column's header. In this sample we are showing how to place image to column header and place it in different positions:<br></br>"
        content += "   - Image is placed before header text<br></br>"
        content += "   - Image is placed imediatelly after header text<br></br>"
        content += "   - Image is placed after header text and it is aligned to the right side<br></br>"
        content += "   - Only image is placed in header<br></br>"
        content += "   - Image is placed above header text<br></br></p>"
        content += "<p>To create above examples we are using built-in support for &lt;img&gt; tag which allows image to be placed in custom positions.</p><br></br>"
        content += "<p><table width=""100%"" cellpadding=""5""><tr><td width=""100%"" style=""align:middleright;textcolor:DarkRed;hovertextcolor:Red""><a href=""www.lidorsystems.com/support/articles/winforms/listview/"">More Info ...</a></td></tr></table></p>"
        content += "</div>"

        Me.labelInfo.Content = content
    End Sub

    Private Sub labelInfo_ContentObjectClicked(ByVal sender As Object, ByVal e As LidorSystems.IntegralUI.ObjectClickEventArgs) Handles labelInfo.ContentObjectClicked
        If TypeOf e.[Object] Is LinkLabel Then
            System.Diagnostics.Process.Start(TryCast(e.[Object], LinkLabel).Links(0).LinkData.ToString())
        End If
    End Sub

    Private Sub InitList()
        Me.listView1.SuspendUpdate()
        Me.listView1.Columns.Clear()
        Me.listView1.Items.Clear()

        Dim column As LidorSystems.IntegralUI.Lists.ListViewColumn = Nothing
        For j As Integer = 0 To 4
            column = New LidorSystems.IntegralUI.Lists.ListViewColumn("Header " & j.ToString(), "Footer " & j.ToString())
            column.Width = 100

            Me.listView1.Columns.Add(column)
        Next


        Dim item As LidorSystems.IntegralUI.Lists.ListViewItem = Nothing
        Dim subItem As LidorSystems.IntegralUI.Lists.ListViewSubItem = Nothing

        For i As Integer = 0 To 99
            item = New LidorSystems.IntegralUI.Lists.ListViewItem("Item " & i.ToString())

            For j As Integer = 0 To Me.listView1.Columns.Count - 1
                subItem = New LidorSystems.IntegralUI.Lists.ListViewSubItem("Item " & i.ToString() & j.ToString())
                item.SubItems.Add(subItem)
            Next

            Me.listView1.Items.Add(item)
        Next

        Me.listView1.ResumeUpdate()
    End Sub
#End Region

#Region "Update"
    Private Sub btnUpdate_Click(ByVal sender As Object, ByVal e As EventArgs) Handles btnUpdate.Click
        Dim column As LidorSystems.IntegralUI.Lists.ListViewColumn = Nothing

        For j As Integer = 0 To Me.listView1.Columns.Count - 1
            column = Me.listView1.Columns(j)

            ' Use ImageIndex property to place image before text
            If rbImageBeforeText.Checked Then
                column.ImageIndex = j
                ' Use <img> tag to place image after text
            ElseIf rbTextBeforeImage.Checked Then
                column.HeaderContent = "<div>" & column.HeaderText & " <img index=""" & j.ToString() & """></img></div>"
                ' Use <img> tag to place image after text and align it on right side
            ElseIf rbImageOnRight.Checked Then
                column.HeaderContent = "<div><table width=""100%""><tr><td width=""100%"">" & column.HeaderText & "</td><td style=""align:middleright""><img index=""" & j.ToString() & """></img></td></tr></table></div>"
                column.WordWrap = True
                ' Use <img> tag to add only image to column header and align it to the center
            ElseIf rbOnlyImage.Checked Then
                column.HeaderContent = "<div><table width=""100%""><tr><td width=""100%"" style=""align:middlecenter""><img src=""../../../Demo/favorites.ico""></img></td></tr></table></div>"
                column.WordWrap = True
                ' Use <img> tag to place image above text and align both to the center
            ElseIf rbImageAboveText.Checked Then
                column.HeaderContent = "<div><table width=""100%"" style=""align:middlecenter""><tr><td width=""100%""><img src=""../../../Demo/pc.ico""></img></td></tr><tr><td>" & column.HeaderText & "</td></tr></table></div>"
                column.WordWrap = True
            Else
                ' By default column header doesn't contain image
                column.ImageIndex = -1
                column.HeaderContent = [String].Empty
            End If
        Next
    End Sub
#End Region

End Class
